# as/at server
# setup on load

# disable commandBlockOutput
gamerule commandBlockOutput false

# required scoreboards
scoreboard objectives add kevf.advancedclock.time dummy
scoreboard players reset @e kevf.advancedclock.time

scoreboard objectives add kevf.advancedcompass.facing.horizontal dummy
scoreboard objectives add kevf.advancedcompass.facing.vertical dummy
scoreboard players reset @e kevf.advancedcompass.facing.horizontal
scoreboard players reset @e kevf.advancedcompass.facing.vertical
scoreboard objectives add kevf.advancedcompass.pos.x dummy
scoreboard objectives add kevf.advancedcompass.pos.y dummy
scoreboard objectives add kevf.advancedcompass.pos.z dummy
scoreboard players reset @e kevf.advancedcompass.pos.x
scoreboard players reset @e kevf.advancedcompass.pos.y
scoreboard players reset @e kevf.advancedcompass.pos.z

scoreboard objectives add kevf.autoreplant.timer dummy
scoreboard players reset @e kevf.autoreplant.Timer

scoreboard objectives add kevf.beehivetooltip.bees dummy
scoreboard players reset @e kevf.beehivetooltip.bees

scoreboard objectives add kevf.pathspeed.walk minecraft.custom:minecraft.walk_one_cm
scoreboard players reset @e kevf.pathspeed.walk

scoreboard objectives add kevf.showdeathcoordinates.death deathCount
scoreboard players reset @e kevf.showdeathcoordinates.death

# settings
execute unless data storage kevf:settings advanced_clock run data modify storage kevf:settings advanced_clock set value {enabled: 1b}
data modify storage kevf:settings advanced_clock merge value {id: "advanced_clock", name: "Advanced Clock", category: "toolsandcombat"}

execute unless data storage kevf:settings advanced_compass run data modify storage kevf:settings advanced_compass set value {enabled: 1b}
data modify storage kevf:settings advanced_compass merge value {id: "advanced_compass", name: "Advanced Compass", category: "toolsandcombat"}

execute unless data storage kevf:settings armorstandarms run data modify storage kevf:settings armorstandarms set value {enabled: 1b}
data modify storage kevf:settings armorstandarms merge value {id: "armorstandarms", name: "Armorstand Arms", category: "decoration"}

execute unless data storage kevf:settings autoreplant_crop run data modify storage kevf:settings autoreplant_crop set value {enabled: 1b}
data modify storage kevf:settings autoreplant_crop merge value {id: "autoreplant_crop", name: "Automatic Crop Replanting", category: "autoreplant"}

execute unless data storage kevf:settings autoreplant_sapling run data modify storage kevf:settings autoreplant_sapling set value {enabled: 1b}
data modify storage kevf:settings autoreplant_sapling merge value {id: "autoreplant_sapling", name: "Automatic Sapling Replanting", category: "autoreplant"}

execute unless data storage kevf:settings beehivetooltip run data modify storage kevf:settings beehivetooltip set value {enabled: 1b}
data modify storage kevf:settings beehivetooltip merge value {id: "beehivetooltip", name: "Beehive Tooltip", category: "main"}

execute unless data storage kevf:settings deathcoords run data modify storage kevf:settings deathcoords set value {enabled: 1b}
data modify storage kevf:settings deathcoords merge value {id: "deathcoords", name: "Show Death Coordinates", category: "main"}

execute unless data storage kevf:settings invis_itemframes run data modify storage kevf:settings invis_itemframes set value {enabled: 1b}
data modify storage kevf:settings invis_itemframes merge value {id: "invis_itemframes", name: "Invisible Itemframes", category: "decoration"}

execute unless data storage kevf:settings lavafrostwalker run data modify storage kevf:settings lavafrostwalker set value {enabled: 1b}
data modify storage kevf:settings lavafrostwalker merge value {id: "lavafrostwalker", name: "Lava Frostwalker", category: "main"}

execute unless data storage kevf:settings pathspeed run data modify storage kevf:settings pathspeed set value {enabled: 1b}
data modify storage kevf:settings pathspeed merge value {id: "pathspeed", name: "Path Speed", category: "main"}

# categories

# constant values
scoreboard objectives add kevf.const dummy
scoreboard players reset @e kevf.const

scoreboard players set #0 kevf.const 0
scoreboard players set #1 kevf.const 1
scoreboard players set #6 kevf.const 6
scoreboard players set #24 kevf.const 24
scoreboard players set #100 kevf.const 100
scoreboard players set #1000 kevf.const 1000
scoreboard players set #6000 kevf.const 6000
scoreboard players set #24000 kevf.const 24000